Upsert Project Package
POST
/v1/project-factory/projects/{project_slug}/packages
const url = 'https://example.com/v1/project-factory/projects/example/packages?tenant_id=';const options = { method: 'POST', headers: {'Content-Type': 'application/json'}, body: '{"tenant_id":"default","package_key":"","package_name":"","package_scope":"","registry_profile":"nexus-default","registry_url":"","status":"active","install_group_paths":["example"],"publish_group_paths":["example"],"build_group_paths":["example"],"delivery_group_paths":["example"],"owner_group_paths":["example"]}'};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request POST \ --url 'https://example.com/v1/project-factory/projects/example/packages?tenant_id=' \ --header 'Content-Type: application/json' \ --data '{ "tenant_id": "default", "package_key": "", "package_name": "", "package_scope": "", "registry_profile": "nexus-default", "registry_url": "", "status": "active", "install_group_paths": [ "example" ], "publish_group_paths": [ "example" ], "build_group_paths": [ "example" ], "delivery_group_paths": [ "example" ], "owner_group_paths": [ "example" ] }'Parameters
Section titled “Parameters”Path Parameters
Section titled “Path Parameters”project_slug
required
Project Slug
string
Query Parameters
Section titled “Query Parameters”tenant_id
Tenant Id
string
Header Parameters
Section titled “Header Parameters”Request Bodyrequired
Section titled “Request Bodyrequired”Media typeapplication/json
PortalProjectPackageUpsertIn
object
tenant_id
Tenant Id
string
package_key
Package Key
string
package_name
Package Name
string
package_scope
Package Scope
string
registry_profile
Registry Profile
string
registry_url
Registry Url
string
status
Status
string
install_group_paths
Install Group Paths
Array<string>
publish_group_paths
Publish Group Paths
Array<string>
build_group_paths
Build Group Paths
Array<string>
delivery_group_paths
Delivery Group Paths
Array<string>
owner_group_paths
Owner Group Paths
Array<string>
Responses
Section titled “Responses”Successful Response
Media typeapplication/json
PortalProjectPackageListOut
object
items
Items
Array<object>
PortalProjectPackageOutobject
package_key
Package Key
string
package_name
Package Name
string
package_scope
Package Scope
string
registry_profile
Registry Profile
string
registry_url
Registry Url
string
registry_status
Registry Status
string
access_status
Access Status
string
materialization_status
Materialization Status
string
evidence_status
Evidence Status
string
install_requires_broker
Install Requires Broker
boolean
publish_requires_broker
Publish Requires Broker
boolean
npmrc_hint_path
Npmrc Hint Path
string
workspace_bootstrap_mode
Workspace Bootstrap Mode
string
ephemeral_npmrc
Ephemeral Npmrc
boolean
install_group_paths
Install Group Paths
Array<string>
publish_group_paths
Publish Group Paths
Array<string>
build_group_paths
Build Group Paths
Array<string>
delivery_group_paths
Delivery Group Paths
Array<string>
owner_group_paths
Owner Group Paths
Array<string>
github_repo_slug
Github Repo Slug
string
last_publish_summary
Last Publish Summary
object
key
additional properties
any
evidence_url
Evidence Url
string
Example
{ "items": [ { "package_key": "", "package_name": "", "package_scope": "", "registry_profile": "", "registry_url": "", "registry_status": "", "access_status": "unknown", "materialization_status": "unknown", "evidence_status": "unknown", "install_requires_broker": false, "publish_requires_broker": false, "npmrc_hint_path": "", "workspace_bootstrap_mode": "", "ephemeral_npmrc": false, "github_repo_slug": "", "evidence_url": "" } ]}Validation Error
Media typeapplication/json
HTTPValidationError
object
detail
Detail
Array<object>
ValidationErrorobject
loc
required
Location
Array
msg
required
Message
string
type
required
Error Type
string
input
Input
ctx
Context
object
Examplegenerated
{ "detail": [ { "loc": [ "example" ], "msg": "example", "type": "example", "input": "example", "ctx": {} } ]}